<script setup>

import {useCounterStore} from "@/stores/counter.js";
import {reactive,ref} from "vue";

const counterStore = useCounterStore()

const list1 = ref({
  a: {
    str:'a'
  },
  b: 'b'
})
const list2 = reactive({
  a: {
    str:'a'
  },
  b:'b'
})

const a = list1.value.a
const a2 = list2.a
</script>

<template>
  <p>{{list1.a.str}}</p>
  <button @click="list1.a.str += 'a'">Add l1</button>
  <p>{{list2.a.str}}</p>
  <button @click="list2.a.str += 'a'">Add l2</button>
  <ul></ul>
  {{counterStore.count}}
  {{counterStore.doubleCount}}
  <button @click="counterStore.increment()">Add 1</button>

</template>

<style scoped>

</style>